Bug 840004

Summary: Laptop doesn't wake up after "suspend", looks dead.
Product: [Fedora] Fedora Reporter: Vassili <vmarusov>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: unspecified    
Version: 17CC: collura, dennis, gansalmon, itamar, jonathan, kernel-maint, madhu.chinakonda, mrobbeloth, vmarusov
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-07-31 22:12:30 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Vassili 2012-07-13 08:42:36 EDT
Description of problem:

SEVERE BUG: laptop doesn't awake after "suspend", looks dead.

Computer: HP-HDX18 1390EZ
Kernel: 3.4.4-5.fc17.x86_64 #1 SMP

How to reproduce:

1. Close the lid of laptop, wait until the "On" LED starts blinking.
2. Open the lid. Harddrive starts, LEDs are ON for a couple of seconds, then the power is OFF abruptly.

Moreover, the laptop cannot be switched on by the "power" button, all LEDs, 
including the "AC power" are OFF despite the power supply is connected. 
Computer looks as absolutely dead. The only way to  switch it on: a) disconnect 
the AC power; b) remove the battery for a minute; c) insert the battery back and 
connect the AC power supply.

Now you can start it pressing the "Power" button. However after reboot the 
screen (already in the GRUB menu) is very dim, as if laptop is battery powered. 
In Fedora 17 the screen stays dim. The only way found to restore the brightness: 
to boot Windows.
Comment 1 Vassili 2012-07-23 11:30:47 EDT
The bug isn't observed with the kernel 3.4.6-2.fc17.x86_64 #1 SMP
I hope it will not be re-introduced in newer kernels :)

The screen is locked after waking up by default. To change it in GNOME 3:

gsettings set org.gnome.desktop.lockdown disable-lock-screen 'true'
Comment 2 Vassili 2012-07-24 10:36:29 EDT
Sorry, the problem comes back after second reboot. 100% reproducible.
Comment 3 mrobbeloth 2012-08-09 20:58:48 EDT
I am experiencing a similar problem after upgrading from fedora 15 to fedora 17, which at this point is using the 3.5.0-2.fc17.x86-64 kernel on an Acer 5735. I applied the changed suggested by Vassili and will see how it goes. 

To be clear, I did not experience this with fedora 15.
Comment 4 Fedora End Of Life 2013-07-03 19:29:09 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 22:12:38 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.